{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Загрузка > Загрузка файлов" %}
{% set page_id = "4.0" %}


{% block heading %}
    <div class="content-header">
        <h1 class="content-header__title">{{ title }}</h1>
    </div>

{% endblock %}

{% block main %}

    <div class="card mb-0">

        <div class="card-body">
            <form action="#" class="dropzone dropzone-area mb-2" id="dpz-remove-thumb">
                <div class="dz-message">
                    <div class="font-weight-bold color-black">Загрузить файлы (Multiple Files Upload)</div>
                    <div class="font-size-small">Перетяните сюда файлы или кликните и выберите</div>
                </div>
            </form>

            <div class="row">
                <div class="col-lg-7 mb-1">
                    <div class="block-bordered">
                        <p>Укажите только 1 тег, если есть, привязывается к каждой статье</p>
                        <ul class="list text-uppercase">
                            <li class="mb-75">
                                <label class="pretty-radio">
                                    <input class="pretty-radio__input" type="radio" name="s1" value="1" checked>
                                    <span class="pretty-radio__label">Тег 1 ( совпадает с названием проекта, но не сам проект)</span>
                                </label>
                            </li>
                            <li class="mb-75">
                                <label class="pretty-radio">
                                    <input class="pretty-radio__input" type="radio" name="s1" value="1">
                                    <span class="pretty-radio__label">Тег 2 ( совпадает с названием проекта, но не сам проект)</span>
                                </label>
                            </li>
                            <li class="mb-75">
                                <label class="pretty-radio">
                                    <input class="pretty-radio__input" type="radio" name="s1" value="1">
                                    <span class="pretty-radio__label">Тег 3 ( совпадает с названием проекта, но не сам проект)</span>
                                </label>
                            </li>
                            <li class="mb-75">
                                <label class="pretty-radio">
                                    <input class="pretty-radio__input" type="radio" name="s1" value="1">
                                    <span class="pretty-radio__label">Тег 4 ( совпадает с названием проекта, но не сам проект)</span>
                                </label>
                            </li>
                            <li class="mb-75">
                                <label class="pretty-radio">
                                    <input class="pretty-radio__input" type="radio" name="s1" value="1">
                                    <span class="pretty-radio__label">Тег 5 ( совпадает с названием проекта, но не сам проект)</span>
                                </label>
                            </li>
                            <li>
                                <label class="pretty-radio">
                                    <input class="pretty-radio__input" type="radio" name="s1" value="1">
                                    <span class="pretty-radio__label">Тег 6 ( совпадает с названием проекта, но не сам проект)</span>
                                </label>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-5 mb-1">
                    <h4>Загрузчик</h4>
                    <ul class="list mb-1">
                        <li class="mb-50">
                            <label class="pretty-radio">
                                <input class="pretty-radio__input" type="radio" name="s2" value="1">
                                <span class="pretty-radio__label">Формат 1 (<a href="#">шаблонный файл</a>)</span>
                            </label>
                        </li>
                        <li class="mb-50">
                            <label class="pretty-radio">
                                <input class="pretty-radio__input" type="radio" name="s2" value="1" checked>
                                <span class="pretty-radio__label">Формат 2 (<a href="#">шаблонный файл</a>)</span>
                            </label>
                        </li>
                        <li>
                            <label class="pretty-radio">
                                <input class="pretty-radio__input" type="radio" name="s2" value="1">
                                <span class="pretty-radio__label">Формат 3 (<a href="#">шаблонный файл</a>)</span>
                            </label>
                        </li>
                    </ul>

                    <div class="card mb-0">
                        <div class="card-header card-header--sm card-header--blue">Загрузить 1 статью вручную по полям</div>
                        <div class="card-body card-body--sm dashed border-top-0">
                            <ul class="list">
                                <li class="mb-50">
                                    <label class="pretty-radio">
                                        <input class="pretty-radio__input" type="radio" name="s3" value="Удалить дубли" checked>
                                        <span class="pretty-radio__label">Удалить дубли</span>
                                    </label>
                                </li>
                                <li class="mb-50">
                                    <label class="pretty-radio">
                                        <input class="pretty-radio__input" type="radio" name="s3" value="Удалить дубли" >
                                        <span class="pretty-radio__label">Не считать дублями </span>
                                    </label>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group mb-2">
                <div class="form-label">Метки к каждой статье из загружаемого файла</div>
                <select name="s1" class="select2" data-tags="true" multiple>
                    <option value="БМК ТОРПЕДА" selected>БМК ТОРПЕДА</option>
                    <option value="Мир" selected>Мир</option>
                    <option value="Проект 1">Проект 1</option>
                    <option value="Проект 2">Проект 2</option>
                </select>
            </div>
            <button class="btn btn-secondary btn-long">Просмотреть отчет об ошибках</button>

        </div>
    </div>
    <div class="font-size-small pt-50">*- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты</div>
{% endblock %}

{% block scripts %}

    <script>
        Dropzone.options.dpzRemoveThumb = {
            paramName: "file",
            maxFilesize: 1, // MB
            addRemoveLinks: true,
            dictRemoveFile: " удалить"
        }
    </script>

{% endblock %}

